gspiceui(22)

NAME
gspiceui - GUI frontend for various electronic circuit simulation engines

SYNOPSIS
gspiceui [-v] [-h] [-r RCFILE] [-c] [-s SIMENG] [-a ANA] [-g [PROC]] [-w VIEWER] [FILE/S]

DESCRIPTION
GNU SPICE GUI is intended to provide a GUI for various freely available electronic circuit simulation engines ie. GNU-Cap and NG-Spice. It uses gnetlist to convert schematic files to net list files and gWave or Gaw to display simulation results. gSchem is the preferred schematic capture tool.

OPTIONS
gspiceui accepts the following options :

-v  Print version information.

-h  Print usage information.

-d  Enable debug mode (generates console spew on standard error).

-r RCFILE
    Specify a configuration file.

-c  Rebuild/clean the configuration file.

-s SIMENG
    Specify the simulation engine to be used.

-a ANA
    Specify the analysis page to be displayed.

-g [PROC]
    Specify the guile procedure which is executed to create the netlist.

-w VIEWER
    Specify the waveform viewer to be used.

FILE/S
    Specify a circuit description file to load or schematic file/s to import. If multiple schematics files are specified they are read sequentially and parsed with the assumption that they are all part of the same design. Any file/s must be specified at the end of the command line.

NOTE : Option -s should come before -a if both are specified.

REPORTING BUGS
Report bugs to <mwaters517_AT_gmail_DOT_com>.

AUTHOR
Written by Mike Waters

SEE ALSO
gschem (1), gnetlist (1), ngspice (1), gnucap (1), gwave (1), gaw (1)

COPYRIGHT
Copyright © 2003-2014 Mike Waters This document can be freely redistributed according to the terms of the GNU General Public License version 3